# Welcome to python-ly’s documentation!

This package provides a Python library ly containing various Python modules to parse, manipulate or create documents in LilyPond format. A command line program ly is also provided that can be used to do various manipulations with LilyPond files.

The LilyPond format is a plain text input format that is used by the GNU music typesetter LilyPond (www.lilypond.org).

The python-ly package is Free Software, licensed under the GPL. This package is written by the Frescobaldi developers and is used extensively by the Frescobaldi project. The main author is Wilbert Berendsen.

Download from: https://pypi.python.org/pypi/python-ly
Development homepage: https://github.com/wbsoft/python-ly

This documentation describes python-ly 0.9.6.

Contents:

- The `ly` command
  - Options
  - Arguments
  - Commands
  - Variables
  - Examples
- The `ly-server` command
  - Server Options
  - Command Options
  - HTTP Requests
    - GET Requests
    - POST Requests
    - Response Object
    - Commands
    - Variables
  - Examples
    - Sample Requests
- The `ly` package
  - Module contents
  - Subpackages
    - ly.lex package
      - Module contents
      - Submodules
      - ly.lex.docbook module
      - ly.lex.html module
      - ly.lex.latex module
      - ly.lex.lilypond module
      - ly.lex.scheme module
      - ly.lex.texinfo module
    - ly.music package
      - Module contents
      - Submodules
      - ly.music.event module
      - ly.music.items module
      - ly.music.read module
    - ly.musicxml package
      - Module contents
      - Submodules
      - ly.musicxml.create_musicxml module
      - ly.musicxml.ly2xml_mediator module
      - ly.musicxml.lymus2musxml module
      - ly.musicxml.xml_objs module
    - ly.pitch package
      - Module contents
      - Submodules
      - ly.pitch.abs2rel module
      - ly.pitch.rel2abs module
      - ly.pitch.translate module
      - ly.pitch.transpose module
    - ly.xml package
      - Introduction
      - Module contents
      - The `xml-export.ily` file
      - Example
    - ly.data package
      - Module contents
      - Submodules
      - ly.data.makeschemedata module
    - ly.cli package
      - Module contents
      - Submodules
      - ly.cli.command module
      - ly.cli.main module
    - ly.server package
      - Module contents
      - Submodules
      - ly.server.command module
      - ly.server.handler module
      - ly.server.main module
      - ly.server.options module
  - Submodules
  - ly.slexer module
    - slexer – Stateful Lexer
  - ly.document module
    - DocumentBase and Document
    - Cursor
    - Runner
    - Source
  - ly.docinfo module
  - ly.barcheck module
  - ly.colorize module
  - ly.cursortools module
  - ly.dom module
  - ly.duration module
  - ly.etreeutil module
  - ly.indent module
  - ly.node module
  - ly.pkginfo module
  - ly.reformat module
  - ly.rhythm module
  - ly.util module
  - ly.words module

# Indices and tables

- Index

- Module Index

- Search Page